Ingredients to make a reproducibility test of EC-Earth 3.2 and later.
Largely based on Paolo Davini's initial scripts to make a climate assessment of EC-Earth

Current limitations and constraints:
* The output must come from EC-Earth 3.2.2 or later. Otherwise, variable names
  might need some changes
* The output must be available as MMO, MMA tar files and ICMGG, ICMSH grib files
* The output must consist in 12 month data per file
* The simulation must start with January and finish with December
* The scripts are adapted to compare two and only two experiments

1/ Checkout the git project from the BSC archive
------------------------------------------------
>> git clone https://earth.bsc.es/gitlab/fmassonnet/reproducibility.git
>> git checkout master

2/ Edit the configuration file
------------------------------
>> vi ./scripts/config.sh

3/ Pre-process the EC-Earth output
----------------------------------
>> cd ./scripts
>> ./preprocess.sh ${exp} ${memb} ${yearb} ${yeare}

[ Execute ./preprocess.sh to see the help ]

Process *all* your members of all experiments. This can be done in parallel
by using nohup commands for instance.

4/ Re-grid to the same grid as the observational reference
----------------------------------------------------------
>> ./postprocess.sh ${exp} ${memb} ${yearb} ${yeare}

5/ Compute the Reichler and Kim indices
---------------------------------------
./scores.sh ${exp} ${memb} ${yearb} ${yeare}

NetCDF files and a text file will be available in the directory EC-Earth_diags.
This text file (PI3.txt) consists in scores. By looking at how scores vary from
member to member one can guess if an experiment is reproducible wrt another one.

NOTE THAT STEPS 3/, 4/, 5/ can be clustered by using ./wrapper.sh

Once steps 1/ -> 5/ have been done for all members, we can proceed
to ensemble analyses:

6/ Ensemble analyses
--------------------
./ensemble.sh ${exp} 

Process all your experiments with this script. And then produce the plots comparing the Reichler and Kim indices and the variables differences between two experiments:

./compare.sh ${exp1} ${exp2} ${year1} ${year2} ${nmemb}

This script launch two R scripts:
1/ The first on make the Reichler-Kim index evaluation, and then compare the difference of score between the two experiments with the KS test (script R_scripts/KS_index.R).
2/ The second script produces a map of surface temperature with a KS test applied in each grid cell (script map_diff_experiments.R).

nmemb is the number of members that is considered for the comparison between the experiments.

One plot for all the variables and three maps for near surface temperature, surface heat fluxe and sea-ice will be available in the directory EC-Earth_diags.


